LLBLGen Pro 5.9.2
LLBLGen

LLBLGen Pro 5.9.2

Description

LLBLGen is a solution for quick and easy entity modeling and actually creates the entity model layer. LLBLGen is a framework that communicates well with most existing ORMs such as Entity Framework, NHibernate, Linq To SQL, or even your custom ORMs, you can simply design the database modeling layer and then map it to your desired database. From here on, you only need to write queries. LLBLGen easily maps objects into a relational model. This framework is widely used in many commercial projects in the world.

This product provides the possibility of database modeling in two database-first or model-first approaches for programmers, and it is possible to switch between these two models at any stage of the project. Since communication with visual elements is more understandable, this product, like other ORMs, uses a graphic designer to map objects to the database, this increases flexibility, reduces errors, configures more easily, and sets up faster. As the designer of this product, you can easily model thousands of different entities together.

This well-crafted framework is not only limited to graphic design, and even the automatic codes that it produces are very clean, organized, and documented so that you feel that you wrote these codes yourself, so it will be very easy for you to communicate with these codes. . LLBLGen supports modern features such as async/await, caching results to increase the speed of queries, staged loading, recovery of transaction errors, and also Linq so that when you use this product, you can feel at ease about modern .NET technologies. In addition to all the features that this product has, it also has high efficiency so it is considered one of the fastest among the existing ORMs.

required system

Designer requirements

LLBLGen Pro’s designer needs the .NET framework v4.5 or higher to run. The .NET framework is a free download from Microsoft: click here to go there.

Database requirements

To be able to determine the complete schema and all the relationships inside it, LLBLGen Pro requires that the schemas have all the necessary foreign key constraints and unique constraints. If your schema doesn’t have foreign key constraints, you can add these relationships manually in the designer.

The following list explains the requirements per supported database type.

Database Requirement
SQL Server / CE Desktop No specific requirement
MS Access 2000-2016 No special requirements. For MS Access usage on x64 Windows systems, install the 64bit JET driver (MS Access 2007/2010/2013) from Microsoft downloads
Oracle 9i/10g/11g/12c To use Oracle 9i/10g/11g/12c with LLBLGen Pro, you need to have the following installed:

  • ODP.NET 10g or higher which is a free download from Oracle
  • Oracle client 10.0 or higher (which is a requirement for ODP.NET and is embedded in the ODP.NET installation)
PostgreSQL 7.4+/8.x/9.x To use PostgreSql 7.4+/8.x/9.x with LLBLGen Pro, you need to have Npgsql installed, preferably the latest version.
Firebird 1.5.x/2.x To use Firebird 1.x/2.x with LLBLGen Pro, you need to have the Firebird .NET client installed, preferably the latest version.
IBM DB2 7.x/8.x/9.x/10.x (not on AS/400 / iSeries) To use IBM DB2 UDB 7.x/8.x/9.x/10.x with LLBLGen Pro, you need to have the following installed:

  • IBM DB2 .NET provider, which comes with the latest ClientAccess software for DB2. Click here to get to the download page for the DB2 runtime client lite which also contains the client and the .NET provider.
  • IBM DB2 Client Access, which contains the DB2 client and CLI interface
MySql 4.x, 5.x (using DevArt MySql .NET provider) To use MySql 4.x/5.x with LLBLGen Pro you need to have the DevArt MySqlConnect .NET provider v5.x or higher installed. The express version is sufficient.

Pictures

LLBLGen

 

Installation guide

It is given in the Readme file in the Crack folder.

download link

Download LLBLGen Pro 5.9.2
Download LLBLGen Pro 4.0
file password link
Follow On Facebook
Follow On Linkedin
Follow On Reddit